 

import App from './App.vue'

import { setupStore } from "@/stores";
// ui 
import Vant from 'vant';
import 'vant/lib/index.css';
// 字体
import "@/assets/font/font.css"
import { i18n } from "@/i18n/index.js";
import router,{ setupRouter } from '@/router'
// 引入组件
import "virtual:svg-icons-register";
import SvgIcon from "@/components/Svg-icon/SvgIcon.vue";

// windows 挂载 & 注入
import { setupPlugin, initCapacitor } from './plugins';
import { setup  } from './plugins/storage';


const app = createApp(App)



async function appInit() {
  const app = createApp(App);
   // 注入组件
  app.component("SvgIcon", SvgIcon);
  // 挂载状态管理
  setupStore(app);
  // UI
  app.use(Vant);
  app.use(i18n);
  // windows 挂载
  setup()
    // 挂载路由
  await setupRouter(app);
  await router.isReady();

  // setupPlugin(app)
  // initCapacitor(app)

  app.mount("#app", true);
}


appInit().then(() => {

})